<?php

namespace Drupal\lightbox;

/**
 * Trait for lightbox formatters.
 */
trait LightboxFormatterTrait {

  /**
   * Generates a unique configuration identifier for the field.
   *
   * @return string
   *   The configuration identifier based on the entity type, bundle,
   *   field name, and view mode.
   */
  public function getConfigurationId() {
    $entity_type = $this->fieldDefinition->getTargetEntityTypeId();
    $bundle = $this->fieldDefinition->getTargetBundle();
    $field_name = $this->fieldDefinition->getName();
    $view_mode = $this->viewMode;
    return implode('__', [$entity_type, $bundle, $field_name, $view_mode]);
  }

}
